Create Release
curl --request POST \
--url https://app.lukittu.com/api/v1/dev/teams/{teamId}/releases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'data=<string>' \
--form file='@example-file'import requests
url = "https://app.lukittu.com/api/v1/dev/teams/{teamId}/releases"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "data": "<string>" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('data', '<string>');
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://app.lukittu.com/api/v1/dev/teams/{teamId}/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "456e7890-e89b-12d3-a456-426614174111",
"version": "1.0.0",
"status": "PUBLISHED",
"latest": true,
"productId": "789e0123-e89b-12d3-a456-426614174222",
"branchId": null,
"teamId": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2023-09-15T14:30:00Z",
"updatedAt": "2023-09-15T14:30:00Z",
"metadata": [],
"product": {
"id": "789e0123-e89b-12d3-a456-426614174222",
"name": "My Product"
},
"branch": null,
"file": null
},
"result": {
"timestamp": "2023-09-15T14:30:00Z",
"valid": true,
"details": "Release created"
}
}{
"result": {
"timestamp": "2023-11-07T05:31:56Z",
"valid": false,
"details": "<string>",
"code": "INTERNAL_SERVER_ERROR"
},
"data": {}
}{
"result": {
"timestamp": "2023-11-07T05:31:56Z",
"valid": false,
"details": "<string>",
"code": "INTERNAL_SERVER_ERROR"
},
"data": {}
}Dev - Releases
Create Release
Create a new release for a product. Supports optional file upload via multipart/form-data.
The request body must be sent as multipart/form-data with:
datafield (required): JSON string containing the release configurationfilefield (optional): Binary file to attach to the release (max 10 MB)
File uploads require the team to have the classloader feature enabled (paid subscription).
POST
/
api
/
v1
/
dev
/
teams
/
{teamId}
/
releases
Create Release
Authorizations
API key authentication for development endpoints.
You can create API keys in your team's settings on the Lukittu dashboard.
Include the API key in the Authorization header as: Bearer YOUR_API_KEY
Example:
Authorization: Bearer lukittu_api_key_abc123def456...
Path Parameters
Your team's UUID. You can find this value in your team's settings on the Lukittu dashboard. UUID v4 identifier
Body
multipart/form-data
JSON string containing the release configuration. Must be a valid JSON object with the following fields:
version(string, required): Release version (3-255 chars, no spaces)productId(string, required): UUID of the productstatus(string, required): One of PUBLISHED, DRAFT, DEPRECATED, ARCHIVEDsetAsLatest(boolean, optional): Whether to set this as the latest release (default: false)branchId(string|null, optional): UUID of the branch (default: null)metadata(array, optional): Array of key-value metadata objects (max 20)licenseIds(array, optional): Array of license UUIDs to restrict access (max 30)
Optional file to attach to the release (max 10 MB). Must have a file extension.